Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtAlphaColorMap Class Reference

`#include <qwt_color_map.h>`

Inheritance diagram for QwtAlphaColorMap:
[legend]

List of all members.

## Public Member Functions
| QwtAlphaColorMap (const QColor &=QColor(Qt::gray))
virtual | ~QwtAlphaColorMap ()
QColor | color () const
virtual QRgb | rgb (const QwtInterval &, double value) const
void | setColor (const QColor &)
Public Member Functions inherited from QwtColorMap
| QwtColorMap (Format=QwtColorMap::RGB)
virtual | ~QwtColorMap ()
QColor | color (const QwtInterval &, double value) const
virtual QVector< QRgb > | colorTable (const QwtInterval &) const
Format | format () const

## Additional Inherited Members
Public Types inherited from QwtColorMap
enum | Format { RGB, Indexed }

## Detailed Description

QwtAlphaColorMap variies the alpha value of a color.

## Constructor & Destructor Documentation

QwtAlphaColorMap::QwtAlphaColorMap | ( | const QColor & | color = `QColor( Qt::gray )` | ) |

Constructor

Parameters:

  color | Color of the map

## Member Function Documentation

QColor QwtAlphaColorMap::color | ( |  | ) | const

Returns:
  the color

See also:
  setColor()

QRgb QwtAlphaColorMap::rgb | ( | const QwtInterval & | interval,
|  | double | value
| ) |  | const
| virtual

Map a value of a given interval into a alpha value.

alpha := (value - interval.minValue()) / interval.width();

Parameters:

  interval | Range for all values
  value | Value to map into a rgb value

Returns:
  rgb value, with an alpha value

Implements QwtColorMap.

void QwtAlphaColorMap::setColor | ( | const QColor & | color | ) |

Set the color

Parameters:

  color | Color

See also:
  color()